RegionLookup API

Forward geocode v1

GET /v1/geocode/forward

Geocodes address information, converting it to coordinates (longitude and latitude).

Parameters
  • postal_code string optional

    The postal code you want to query.

  • city string optional

    Full name of the city.

  • state string optional

    Code or name of the region, such as a state, province or county.

  • country string optional

    Name or code of the country.

Headers
  • Authorization required

    API Key associated with your account.

curl "https://api.regionlookup.com/v1/geocode/forward \
-H Authorization: "YOUR API KEY" \
-d "postal_code=90210&city=Los Angeles&state=California&country=US"
{
    "success": true,
    "data": {
        "Address": {
            "Label": "Los Angeles, Los Angeles County, California, United States",
            "Country": {
                "Code2": "US",
                "Code3": "USA",
                "Name": "United States"
            },
            "Region": {
                "Code": "CA",
                "Name": "California"
            },
            "SubRegion": {
                "Name": "Los Angeles County"
            }
        },
        "Position": [
            -118.2427676,
            34.0536923
        ]
    }
}